package gov.va.med.pharmacy.peps.common.vo;

import gov.va.med.pharmacy.peps.external.common.drugdatavendor.utility.StringUtility;

/**
 * A representation of an Allergy Check Result.
 * 
 * @author DNS   duffg
 *
 */
public class AllergyCheckResultVo extends ValueObject {

    private static final long serialVersionUID = 1L;
    
    private String allergenCustomId;
    private String allergenDescription;
    private ScreenAllergyVo screeningAllergy;
    private Long allergenInternalId;
    private String drugCustomId;
    private String drugDescription;
    private DrugCheckVo screenDrug;
    private Long drugInternalId;
    private Boolean hitBasedOnInactiveHicl;
    private Boolean hitBasedOnInactiveIngredientInformation;
    private String inactiveHiclSeqNo;
    private String internationalMatchDescription;
    private String matchDescription;
    private String matchId;
    private String matchType;
    private String reaction;
    private String screenMessage;
    
    /**
     * @return the allergenCustomId
     */
    public String getAllergenCustomId() {
        return StringUtility.nullToEmptyString(allergenCustomId);
    }
    /**
     * @param allergenCustomId the allergenCustomId to set
     */
    public void setAllergenCustomId(String allergenCustomId) {
        this.allergenCustomId = allergenCustomId;
    }
    /**
     * @return the allergenDescription
     */
    public String getAllergenDescription() {
        return StringUtility.nullToEmptyString(allergenDescription);
    }
    /**
     * @param allergenDescription the allergenDescription to set
     */
    public void setAllergenDescription(String allergenDescription) {
        this.allergenDescription = allergenDescription;
    }
    /**
     * @return the screeningAllergy
     */
    public ScreenAllergyVo getScreeningAllergy() {
        return screeningAllergy;
    }
    /**
     * @param screeningAllergy the screeningAllergy to set
     */
    public void setScreeningAllergy(ScreenAllergyVo screeningAllergy) {
        this.screeningAllergy = screeningAllergy;
    }
    /**
     * @return the allergenInternalId
     */
    public Long getAllergenInternalId() {
        return allergenInternalId;
    }
    /**
     * @param allergenInternalId the allergenInternalId to set
     */
    public void setAllergenInternalId(Long allergenInternalId) {
        this.allergenInternalId = allergenInternalId;
    }
    /**
     * @return the drugCustomId
     */
    public String getDrugCustomId() {
        return StringUtility.nullToEmptyString(drugCustomId);
    }
    /**
     * @param drugCustomId the drugCustomId to set
     */
    public void setDrugCustomId(String drugCustomId) {
        this.drugCustomId = drugCustomId;
    }
    /**
     * @return the drugDescription
     */
    public String getDrugDescription() {
        return StringUtility.nullToEmptyString(drugDescription);
    }
    /**
     * @param drugDescription the drugDescription to set
     */
    public void setDrugDescription(String drugDescription) {
        this.drugDescription = drugDescription;
    }
    /**
     * @return the screenDrug
     */
    public DrugCheckVo getScreenDrug() {
        return screenDrug;
    }
    /**
     * @param screenDrug the screenDrug to set
     */
    public void setScreenDrug(DrugCheckVo screenDrug) {
        this.screenDrug = screenDrug;
    }
    /**
     * @return the drugInternalId
     */
    public Long getDrugInternalId() {
        return drugInternalId;
    }
    /**
     * @param drugInternalId the drugInternalId to set
     */
    public void setDrugInternalId(Long drugInternalId) {
        this.drugInternalId = drugInternalId;
    }
    /**
     * @return the hitBasedOnInactiveHicl
     */
    public Boolean getHitBasedOnInactiveHicl() {
        return hitBasedOnInactiveHicl;
    }
    /**
     * @param hitBasedOnInactiveHicl the hitBasedOnInactiveHicl to set
     */
    public void setHitBasedOnInactiveHicl(Boolean hitBasedOnInactiveHicl) {
        this.hitBasedOnInactiveHicl = hitBasedOnInactiveHicl;
    }
    /**
     * @return the hitBasedOnInactiveIngredientInformation
     */
    public Boolean getHitBasedOnInactiveIngredientInformation() {
        return hitBasedOnInactiveIngredientInformation;
    }
    /**
     * @param hitBasedOnInactiveIngredientInformation the hitBasedOnInactiveIngredientInformation to set
     */
    public void setHitBasedOnInactiveIngredientInformation(Boolean hitBasedOnInactiveIngredientInformation) {
        this.hitBasedOnInactiveIngredientInformation = hitBasedOnInactiveIngredientInformation;
    }
    /**
     * @return the inactiveHiclSeqNo
     */
    public String getInactiveHiclSeqNo() {
        return StringUtility.nullToEmptyString(inactiveHiclSeqNo);
    }
    /**
     * @param inactiveHiclSeqNo the inactiveHiclSeqNo to set
     */
    public void setInactiveHiclSeqNo(String inactiveHiclSeqNo) {
        this.inactiveHiclSeqNo = inactiveHiclSeqNo;
    }
    /**
     * @return the internationalMatchDescription
     */
    public String getInternationalMatchDescription() {
        return StringUtility.nullToEmptyString(internationalMatchDescription);
    }
    /**
     * @param internationalMatchDescription the internationalMatchDescription to set
     */
    public void setInternationalMatchDescription(String internationalMatchDescription) {
        this.internationalMatchDescription = internationalMatchDescription;
    }
    /**
     * @return the matchDescription
     */
    public String getMatchDescription() {
        return StringUtility.nullToEmptyString(matchDescription);
    }
    /**
     * @param matchDescription the matchDescription to set
     */
    public void setMatchDescription(String matchDescription) {
        this.matchDescription = matchDescription;
    }
    /**
     * @return the matchId
     */
    public String getMatchId() {
        return StringUtility.nullToEmptyString(matchId);
    }
    /**
     * @param matchId the matchId to set
     */
    public void setMatchId(String matchId) {
        this.matchId = matchId;
    }
    /**
     * @return the matchType
     */
    public String getMatchType() {
        return StringUtility.nullToEmptyString(matchType);
    }
    /**
     * @param matchType the matchType to set
     */
    public void setMatchType(String matchType) {
        this.matchType = matchType;
    }
    /**
     * @return the reaction
     */
    public String getReaction() {
        return StringUtility.nullToEmptyString(reaction);
    }
    /**
     * @param reaction the reaction to set
     */
    public void setReaction(String reaction) {
        this.reaction = reaction;
    }
    /**
     * @return the screenMessage
     */
    public String getScreenMessage() {
        return StringUtility.nullToEmptyString(screenMessage);
    }
    /**
     * @param screenMessage the screenMessage to set
     */
    public void setScreenMessage(String screenMessage) {
        this.screenMessage = screenMessage;
    }

}
