package gov.va.med.pharmacy.peps.external.common.drugdatavendor.capability;

import java.util.Map;

import firstdatabank.dif.ScreenAllergies;
import firstdatabank.dif.ScreenDrugs;
import gov.va.med.pharmacy.peps.common.vo.AllergyCheckResultVo;
import gov.va.med.pharmacy.peps.common.vo.DrugCheckResultsVo;
import gov.va.med.pharmacy.peps.common.vo.DrugCheckVo;

public interface PerformAllergyCheckCapability {

    /**
     * Perform allergy check.
     * 
     * @param screenDrugs FDB ScreenDrugs used as input to therapy check call
     * @param drugMap the drug map
     * @param allergens a ScreenAllergies collection of allergies
     * @param prospectiveOnly boolean true if check should only be done on prospective drugs
     * @return AllergyCheckResultsVo response from FDB with Collection of DrugTherapyCheckResultVo
     */
    DrugCheckResultsVo<AllergyCheckResultVo> performAllergyCheck(ScreenDrugs screenDrugs, Map<String, DrugCheckVo> drugMap,
            ScreenAllergies allergens, boolean prospectiveOnly);
}
